import { BasePlayer } from '../../../../providers/DashProviderVirtual/lib/player/basePlayer';
import { ISmoothedValue } from '../../../../utils/smoothedValue/types';
import { ISubscription, Milliseconds } from '@vkontakte/videoplayer-shared';
import { Params } from '../../../../providers/DashProviderVirtual/lib/player/types';
import { Manifest, Representation } from '../../../../providers/utils/parsers/types';
import { LiveVirtualBuffer } from '../../../../providers/DashProviderVirtual/lib/buffer/virtualBuffer/liveVirtualBuffer';
import { IHLSSource } from '../../../../player/types';
import { LiveTextManager } from '../../../../providers/DashProviderVirtual/lib/LiveTextManager';
import { Dependencies } from '../../../../providers/DashProviderVirtual/lib/buffer/types';
export declare class LivePlayer extends BasePlayer {
    protected liveTextManager: LiveTextManager | null;
    protected liveStreamEndTimestamp: Milliseconds;
    protected liveBuffer: ISmoothedValue;
    protected livePauseWatchdogSubscription: ISubscription | undefined;
    protected liveWasInterrupted: boolean;
    constructor(params: Params);
    seek(nextOffset: Milliseconds): Promise<void>;
    initBuffer(): void;
    protected forcePositionToRepresentationInitialTime(): Promise<void>;
    protected tick(): Promise<void>;
    protected setSourceDuration(): void;
    protected isStallExceeded(timeInWaiting: Milliseconds): boolean;
    protected restoreAfterDeepStall(stallTraceAttributes: Record<string, number>): Promise<void>;
    protected updateManifest(): Promise<Manifest | null>;
    protected prepareManifestUrlString(manifestBaseUrlString: string, offset: number): string;
    protected updateManifestUrlWithTimeOffset(nextOffset: Milliseconds): void;
    protected createBuffers(dependencies: Dependencies, initialVideo: Representation['id'], initialAudio?: Representation['id'], sourceHls?: IHLSSource): void;
    protected initRepresentationSubscriptions(): void;
    protected initStreamDurationOnPauseSubscription(): void;
    protected initLiveDurationSubscriptions(videoBufferManager: LiveVirtualBuffer): void;
    protected initLiveChangePlaybackRateSubscriptions(): void;
    protected initLiveBufferInfoSubscriptions(videoBufferManager: LiveVirtualBuffer, bufferManagers: LiveVirtualBuffer[]): void;
    protected initLiveMaintainSubscription(bufferManagers: LiveVirtualBuffer[]): void;
    protected isManualDecreasePlaybackInLive(): boolean;
    protected normalizeLiveOffset(nextOffset: Milliseconds): Milliseconds;
}
